## org.apache.http.impl.conn
Class LoggingSessionOutputBuffer

    java.lang.Object
      org.apache.http.impl.conn.LoggingSessionOutputBuffer

All Implemented Interfaces:
  SessionOutputBuffer

    @Immutable
    public class LoggingSessionOutputBuffer

extends Object
implements SessionOutputBuffer

Logs all data written to the wire LOG.

Since:
  4.0

Constructor Summary
`LoggingSessionOutputBuffer(SessionOutputBuffer out, Wire wire)`
`LoggingSessionOutputBuffer(SessionOutputBuffer out, Wire wire, String charset)` Create an instance that wraps the specified session output buffer.

Method Summary
`void` `flush()`
`HttpTransportMetrics` `getMetrics()`
`void` `write(byte[] b)`
`void` `write(byte[] b, int off, int len)`
`void` `write(int b)`
`void` `writeLine(CharArrayBuffer buffer)`
`void` `writeLine(String s)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LoggingSessionOutputBuffer

    public LoggingSessionOutputBuffer(SessionOutputBuffer out,
                                      Wire wire,
                                      String charset)

  Create an instance that wraps the specified session output buffer.

  Parameters:
    `out` - The session output buffer.
    `wire` - The Wire log to use.
    `charset` - protocol charset, `ASCII` if `null`

### LoggingSessionOutputBuffer

    public LoggingSessionOutputBuffer(SessionOutputBuffer out,
                                      Wire wire)

Method Detail

### write

    public void write(byte[] b,
                      int off,
                      int len)
               throws IOException

  Specified by:
    `write` in interface `SessionOutputBuffer`
  Throws:
    `IOException`

### write

    public void write(int b)
               throws IOException

  Specified by:
    `write` in interface `SessionOutputBuffer`
  Throws:
    `IOException`

### write

    public void write(byte[] b)
               throws IOException

  Specified by:
    `write` in interface `SessionOutputBuffer`
  Throws:
    `IOException`

### flush

    public void flush()
               throws IOException

  Specified by:
    `flush` in interface `SessionOutputBuffer`
  Throws:
    `IOException`

### writeLine

    public void writeLine(CharArrayBuffer buffer)
                   throws IOException

  Specified by:
    `writeLine` in interface `SessionOutputBuffer`
  Throws:
    `IOException`

### writeLine

    public void writeLine(String s)
                   throws IOException

  Specified by:
    `writeLine` in interface `SessionOutputBuffer`
  Throws:
    `IOException`

### getMetrics

    public HttpTransportMetrics getMetrics()

  Specified by:
    `getMetrics` in interface `SessionOutputBuffer`

Copyright © 1999-2013 The Apache Software Foundation. All Rights Reserved.